package com.qmth.distributed.print.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 教学学生查询结果
 * @Author: CaoZixuan
 * @Date: 2022-02-10
 */
public class TeachStudentResult {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "教学学生id")
    private Long id;

    @ApiModelProperty(value = "学生姓名")
    private String studentName;

    @ApiModelProperty(value = "学生编号")
    private String studentCode;

    @ApiModelProperty(value = "院系")
    private String belongOrgName;

    @ApiModelProperty(value = "专业名称")
    private String majorName;

    @ApiModelProperty(value = "基础班级名称")
    private String clazzName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getBelongOrgName() {
        return belongOrgName;
    }

    public void setBelongOrgName(String belongOrgName) {
        this.belongOrgName = belongOrgName;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public String getClazzName() {
        return clazzName;
    }

    public void setClazzName(String clazzName) {
        this.clazzName = clazzName;
    }
}
